<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.NodeFilter</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>NodeFilter Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>


Namespace: DOM<br />
<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj193721580">AcceptCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj162584780">ShowCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;SHOW_ALL, SHOW_ELEMENT, SHOW_ATTRIBUTE, SHOW_TEXT, SHOW_CDATA_SECTION, SHOW_ENTITY_REFERENCE, SHOW_ENTITY, SHOW_PROCESSING_INSTRUCTION, SHOW_COMMENT, SHOW_DOCUMENT, SHOW_DOCUMENT_TYPE, SHOW_DOCUMENT_FRAGMENT, SHOW_NOTATION&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj161738540">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194629292">__init__</a> (self, <a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169920492">__init__</a> (self, NodeFilterImpl i)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202986188">acceptNode</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> n)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192059724">customNodeFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">NodeFilterImpl&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169935628">handle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192060492">isNull</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169938860">setCustomNodeFilter</a> (self, <a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a> custom)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193775372">createCustom</a> (<a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a> custom)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj161738540"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194629292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj169920492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">NodeFilterImpl&nbsp;</td>
<td class="paramname"><em>i</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202986188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">short acceptNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>n</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Test whether a specified node is visible in the logical view of
a TreeWalker or NodeIterator. This function will be called by
the implementation of TreeWalker and NodeIterator; it is not
intended to be called directly from user code.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>n</em>&nbsp;</td><td> The node to check to see if it passes the filter or
not.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a constant to determine whether the node is accepted,
rejected, or skipped, as defined &lt;a
href="#Traversal-NodeFilter-acceptNode-constants"&gt; above </a> .
</dd></dl>
</p></div></div><a class="anchor" name="obj193775372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a> createCustom</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a>&nbsp;</td>
<td class="paramname"><em>custom</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192059724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a> customNodeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj169935628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">NodeFilterImpl handle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
not part of the DOM
</dd></dl>
</p></div></div><a class="anchor" name="obj192060492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isNull</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj169938860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCustomNodeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.CustomNodeFilter.html">DOM.CustomNodeFilter</a>&nbsp;</td>
<td class="paramname"><em>custom</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj193721580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">AcceptCode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The following constants are returned by the acceptNode()
method:
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>FILTER_ACCEPT</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>FILTER_REJECT</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>FILTER_SKIP</em>&nbsp;=&nbsp;3</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj162584780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ShowCode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>These are the available values for the whatToShow parameter.
They are the same as the set of possible types for Node, and
their values are derived by using a bit position corresponding
to the value of NodeType for the equivalent node type.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>SHOW_ALL</em>&nbsp;=&nbsp;0xFFFFFFFF</td><td><tr><td valign="top"><em>SHOW_ELEMENT</em>&nbsp;=&nbsp;0x00000001</td><td><tr><td valign="top"><em>SHOW_ATTRIBUTE</em>&nbsp;=&nbsp;0x00000002</td><td><tr><td valign="top"><em>SHOW_TEXT</em>&nbsp;=&nbsp;0x00000004</td><td><tr><td valign="top"><em>SHOW_CDATA_SECTION</em>&nbsp;=&nbsp;0x00000008</td><td><tr><td valign="top"><em>SHOW_ENTITY_REFERENCE</em>&nbsp;=&nbsp;0x00000010</td><td><tr><td valign="top"><em>SHOW_ENTITY</em>&nbsp;=&nbsp;0x00000020</td><td><tr><td valign="top"><em>SHOW_PROCESSING_INSTRUCTION</em>&nbsp;=&nbsp;0x00000040</td><td><tr><td valign="top"><em>SHOW_COMMENT</em>&nbsp;=&nbsp;0x00000080</td><td><tr><td valign="top"><em>SHOW_DOCUMENT</em>&nbsp;=&nbsp;0x00000100</td><td><tr><td valign="top"><em>SHOW_DOCUMENT_TYPE</em>&nbsp;=&nbsp;0x00000200</td><td><tr><td valign="top"><em>SHOW_DOCUMENT_FRAGMENT</em>&nbsp;=&nbsp;0x00000400</td><td><tr><td valign="top"><em>SHOW_NOTATION</em>&nbsp;=&nbsp;0x00000800</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
